import { MapDatasource } from '../..';
import { IControl } from 'mapbox-gl';
export declare class LayersWidgetControl implements IControl {
    manager: MapDatasource;
    private map?;
    private container?;
    private layersWidget?;
    constructor(manager: MapDatasource);
    onAdd(map: any): HTMLDivElement;
    onRemove(): void;
}
